%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%define unmangled_name UkPostcodeParser

Summary: UK Postcode parser
Name: python-%{unmangled_name}
Version: 1.0.3
Release: 2%{?dist}.1
Source0: https://pypi.python.org/packages/source/U/%{unmangled_name}/%{unmangled_name}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Simon Brunning <simon@brunningonline.net>
Url: https://github.com/hamstah/ukpostcodeparser
BuildRequires: python2-devel
BuildRequires: python-setuptools
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif

%description
UK Postcode parser.

Original code by Simon Brunning <simon@brunningonline.net>

Taken from:
http://www.brunningonline.net/simon/blog/archives/001292.html

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: UK Postcode parser
Group: Development/Libraries

%description -n python3-%{unmangled_name}
UK Postcode parser.

Original code by Simon Brunning <simon@brunningonline.net>

Taken from:
http://www.brunningonline.net/simon/blog/archives/001292.html

This package contains the python3 version of this module.

%endif

%prep
%setup -n %{unmangled_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
popd
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py \
  install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES_PY2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record="%{_builddir}/%{buildsubdir}/INSTALLED_FILES_PY3"
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES_PY2
%defattr(-,root,root)

%if 0%{?with_python3}
%files -n python3-%{unmangled_name} -f INSTALLED_FILES_PY3
%defattr(-,root,root)
%endif
%changelog
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 1.0.3-2
- Build with Python 3 only for Fedora 22 or newer
- Require python-setuptools for build
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 1.0.3-1
- Initial package
